Skip to content

Retrieve a base food

GET
/food/{base_id}

Returns general food information and all available processing variants with their Big7 nutrition values. Legacy processing-specific IDs such as s123_00 remain supported and return detailed food information. Nutrient units are fixed per nutrient. See unit reference: https://newtrition-data.com/data-reference/units/

base_id
required
string

Food base ID or legacy processing-specific food ID

X-Context-ID
string

Optional pseudonymous end-user context ID for future analytics and request correlation. Must not contain personal data.

Base food with available processing variants

Media typeapplication/json
object
base_id
string
brand
string
gtin
string
is_solid
boolean
name
string
processed_variants
Array<object>
object
big7
object
carbohydrates
object
amount
number
label
string
unit

The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/

string
Allowed values: µg mg g kg kJ ml l kJ/g kcal/g
energy
object
amount
number
label
string
unit

The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/

string
Allowed values: µg mg g kg kJ ml l kJ/g kcal/g
fat
object
amount
number
label
string
unit

The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/

string
Allowed values: µg mg g kg kJ ml l kJ/g kcal/g
protein
object
amount
number
label
string
unit

The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/

string
Allowed values: µg mg g kg kJ ml l kJ/g kcal/g
salt
object
amount
number
label
string
unit

The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/

string
Allowed values: µg mg g kg kJ ml l kJ/g kcal/g
saturated_fatty_acids
object
amount
number
label
string
unit

The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/

string
Allowed values: µg mg g kg kJ ml l kJ/g kcal/g
sugar
object
amount
number
label
string
unit

The output units are fixed per nutrient/output! See: https://newtrition-data.com/data-reference/units/

string
Allowed values: µg mg g kg kJ ml l kJ/g kcal/g
id
string
label
string
processing
string
Allowed values: raw baked boiled braised broiled deep-fried dried fried roasted steamed stewed
search_weight
number
serving_sizes
Array<object>
object
amount
number
label
string
type
string
Allowed values: package portion small_piece medium_piece large_piece small_slice medium_slice large_slice small_whole medium_whole large_whole small_bottle medium_bottle large_bottle small_glass medium_glass large_glass small_cup medium_cup large_cup small_bowl medium_bowl large_bowl pinch tablespoon teaspoon small_toe medium_toe large_toe
unit
string
Allowed values: g ml
standard_processing
string
Allowed values: raw baked boiled braised broiled deep-fried dried fried roasted steamed stewed
standard_serving_type
string
Allowed values: package portion small_piece medium_piece large_piece small_slice medium_slice large_slice small_whole medium_whole large_whole small_bottle medium_bottle large_bottle small_glass medium_glass large_glass small_cup medium_cup large_cup small_bowl medium_bowl large_bowl pinch tablespoon teaspoon small_toe medium_toe large_toe
standard_unit
string
Allowed values: g ml
type
string
Allowed values: generic_single_food generic_composite_food branded_food
Example
{
"processed_variants": [
{
"big7": {
"carbohydrates": {
"amount": 225.5,
"label": "Proteine",
"unit": "g"
},
"energy": {
"amount": 225.5,
"label": "Proteine",
"unit": "g"
},
"fat": {
"amount": 225.5,
"label": "Proteine",
"unit": "g"
},
"protein": {
"amount": 225.5,
"label": "Proteine",
"unit": "g"
},
"salt": {
"amount": 225.5,
"label": "Proteine",
"unit": "g"
},
"saturated_fatty_acids": {
"amount": 225.5,
"label": "Proteine",
"unit": "g"
},
"sugar": {
"amount": 225.5,
"label": "Proteine",
"unit": "g"
}
},
"processing": "raw"
}
],
"serving_sizes": [
{
"amount": 120,
"label": "Stück",
"type": "piece",
"unit": "g"
}
],
"standard_processing": "raw",
"standard_serving_type": "package",
"standard_unit": "g",
"type": "generic_single_food"
}
X-RateLimit-Limit
integer

Maximum requests per minute

X-RateLimit-Remaining
integer

Requests remaining in current window

X-RateLimit-Reset
integer

Unix timestamp when rate limit resets

X-RateLimit-Used
integer

Requests used in current window

ID is required

Media typeapplication/json
object
error
object
code
string
details
message
string
Examplegenerated
{
"error": {
"code": "example",
"details": "example",
"message": "example"
}
}

Unauthorized

Media typeapplication/json
object
error
object
code
string
details
message
string
Examplegenerated
{
"error": {
"code": "example",
"details": "example",
"message": "example"
}
}

Food not found or invalid ID

Media typeapplication/json
object
error
object
code
string
details
message
string
Examplegenerated
{
"error": {
"code": "example",
"details": "example",
"message": "example"
}
}

Rate limit exceeded

Media typeapplication/json
object
error
object
code
string
details
message
string
Examplegenerated
{
"error": {
"code": "example",
"details": "example",
"message": "example"
}
}
X-RateLimit-Limit
integer

Maximum requests per minute

X-RateLimit-Remaining
integer

Requests remaining in current window

X-RateLimit-Reset
integer

Unix timestamp when rate limit resets

X-RateLimit-Used
integer

Requests used in current window

X-Retry-After
integer

Seconds to wait before retrying

Internal Server Error

Media typeapplication/json
object
error
object
code
string
details
message
string
Examplegenerated
{
"error": {
"code": "example",
"details": "example",
"message": "example"
}
}